<?php
/**
 * SPDX-FileCopyrightText: 2024 Sascha Nitsch (grumpydeveloper) https://contentnation.net/@grumpydevelop
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 * @author Sascha Nitsch (grumpydeveloper)
 **/

namespace Federator\Api\FedUsers;

interface FedUsersInterface
{
    /**
     * get call for user
     *
     * @param string $_user user to fetch data for
     * @param \Federator\Connector\Connector $connector connector to use
     * @return string|false response or false in case of error
     */
    public function get($_user, $connector);

    /**
     * post call for user
     *
     * @param string $_user user to add data to
     * @param \Federator\Connector\Connector $connector connector to use
     * @return string|false response or false in case of error
     */
    public function post($_user, $connector);
}
